Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.support
[Java] Class GrailsOpenSessionInViewFilter

    java.lang.Object
      org.springframework.orm.hibernate3.support.OpenSessionInViewFilter
          org.codehaus.groovy.grails.orm.hibernate.support.GrailsOpenSessionInViewFilter

    public class GrailsOpenSessionInViewFilter
    extends OpenSessionInViewFilter

Uses the GrailsApplication sessionFactory to apply the filter.

Authors:
  Graeme Rocher

Since:
  Oct 20, 2005

Method Summary
`protected void` | `closeSession(Session session, SessionFactory sessionFactory)`
`protected void` | `doFilterInternal(HttpServletRequest request, HttpServletResponse response, FilterChain filterChain)`
`protected Session` | `getSession(SessionFactory sessionFactory)`
`protected SessionFactory` | `lookupSessionFactory()`

Method Detail

### closeSession

    @Override
    protected void closeSession(Session session, SessionFactory sessionFactory)

### doFilterInternal

    @Override
    protected void doFilterInternal(HttpServletRequest request, HttpServletResponse response, FilterChain filterChain)

### getSession

    @Override
    protected Session getSession(SessionFactory sessionFactory)

### lookupSessionFactory

    @Override
    protected SessionFactory lookupSessionFactory()

Groovy Documentation